Subject: Re: [RFC Patch] bonding: move to net/ directory

From: Jeff Kirsher <[email-masked]>
Date: Mon, 06 Jun 2011 10:31:05 -0700

On Mon, 2011-06-06 at 09:50 -0700, Joe Perches wrote:
> On Tue, 2011-06-07 at 00:34 +0800, Américo Wang wrote:
> > I agree with this, IMHO this would help to organize the code better.
> > And currently only tuntap and bonding are still in net/ directory.
> > In any aspects, now we are mixing net/ and drivers/net/ currently,
> > which could be improved.
> 
> There is a proposal to move some drivers/net content to
> drivers/net/sw/
> 
> http://vger.kernel.org/netconf2010_slides/netconf-jtk.pdf
> 
> I think that'd be fine too.
> 
> I believe Jeff is going to submit patches soonish.
> 
> http://comments.gmane.org/gmane.linux.network/197232
> 
> 

Correct, patches will be sent out here this week.

As far as moving tunap, bonding, etc into /drivers/net/sw that is the
eventual plan, but I have not done this work for this upcoming patchset.
I want to coordinate this work with Stephen Hemminger before I do any
moves.